StreamingLocatorProperties – Media API – MediaKind

StreamingLocatorProperties

object

alternativeMediaId

string Optional

The alternative media id of the asset used by this streaming locator

assetName

string Required

The name of the asset used by this streaming locator

contentId

string Optional 1-260 characters

Optional content ID. Only valid when an external key server is used.

contentKeys

list of objects StreamingLocatorContentKey Optional

The content keys used by this streaming locator

id

string Required

The id of the content key

labelReferenceInStreamingPolicy

string Optional

The label reference in the streaming policy

policyName

string Optional

The name of the policy

tracks

list of objects StreamingLocatorTrackSelection Optional

Not currently supported. The tracks which use this content key

trackSelections

list of objects StreamingLocatorTrackPropertyCondition Required

The track selections

operation

object TrackPropertyCompareOperation Required

The track property comparison operation

Equal

string Required

The track property comparison operation

Unknown

string Required

The track property comparison operation

property

string Required

The track property to compare against

value

string Required

The track property value.

type

enum Optional

The streaming locator content key type

Allowed values: CommonEncryptionCenc, CommonEncryptionCbcs, EnvelopeEncryption

value

string Optional

The value of the content key

defaultContentKeyPolicyName

string Optional

<=260 characters

The default content key policy name used by this streaming locator.

defaultManifestFilename

string Optional

1-260 characters pattern: ^[A-Za-z0-9 _.,()-]+$

Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. For example: manifest.ism (for MP4 assets), manifest.mpd (for TS assets), index.qfm (for live events)

endTime

string Optional format: date-time

The end time of the streaming locator

filters

list of strings Optional

A list of asset or account filters to apply to the streaming locator.

provisioningState

enum Optional

The provisioning state of the streaming locator. Set by the system. One of InProgress, Succeeded, Failed.

Allowed values: InProgress, Succeeded, Failed

resourceState

enum Optional

The runtime state of the streaming locator. Set by the system.

Allowed values: Creating, Updating, Deleting, Created, Deleted, Error

startTime

string Optional format: date-time

The start time of the streaming locator

streamingLocatorId

string Optional 1-260 characters pattern: ^[^/]+$

The streaming locator id

streamingPolicyName

string Required

<=260 characters

The name of the streaming policy used by this streaming locator.

You may specify a custom policy by name, or use one of the predefined policies.

To get the list of valid policy options use the GET /api/v1/projects/{project_name}/media/streamingPolicies endpoint.

suppressed

boolean Optional

Defaults to false

Optional configuration for output suppression. A suppressed locator will return a 404 HTTP response to requests, in the same way it would if the startTime had not yet been reached.

The 404 code can be overridden with a different status code by setting preAvailabilityStatusCode in a custom catalog in a Streaming Policy.